XmVaCreateExt18List(3)

NAME
XmVaCreateExt18List, XmVaCreateManagedExt18List — A Form widget convenience creation functions.

SYNOPSIS

#include <Xm/Ext18List.h>

Widget XmVaCreateExt18List(
Widget parent,
String name,
...);

Widget XmVaCreateManagedExt18List(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a Ext18List widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateExt18List function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedExt18List function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Form and its associated resources, see XmExt18List(3).

RETURN

Returns the Ext18List widget ID.

RELATED

XmCreateExt18List(3), XtCreateManagedWidget(3), XtCreateWidget(3), and XmExt18List(3).